## python-vmmsclient 0.0.1~bpo11+1

=== debian/changelog ===
python-vmmsclient (0.0.1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Wed, 29 Oct 2025 10:15:24 +0000

python-vmmsclient (0.0.1) unstable; urgency=medium

  * Initial package (Closes: #1119311).

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:10:00 +0200

## python-vmmsclient 0.0.1~bpo12+1

=== requirements.txt ===
pbr>=5.7.0
osc-lib>=2.2.1
python-mistralclient>=4.1.1
python-openstackclient>=5.0.0
keystoneauth1>=4.5.0
requests>=2.25.0

=== debian/changelog ===
python-vmmsclient (0.0.1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Wed, 29 Oct 2025 10:13:35 +0000

## python-vmmsclient 0.0.1~bpo13+1

=== debian/changelog ===
python-vmmsclient (0.0.1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 29 Oct 2025 10:08:22 +0000

## python-vmmsclient 0.0.2~bpo11+1

=== debian/changelog ===
python-vmmsclient (0.0.2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Lower pbr version in requirements.txt.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Wed, 29 Oct 2025 10:27:18 +0000

=== debian/control ===
Source: python-vmmsclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-keystoneauth1,
 python3-mistralclient,
 python3-osc-lib,
 python3-openstackclient,
 python3-requests,
 python3-requests-mock,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-vmmsclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-vmmsclient.git
Homepage: https://salsa.debian.org/openstack-team/clients/python-vmmsclient

Package: python3-vmmsclient
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-mistralclient,
 python3-osc-lib,
 python3-openstackclient,
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VM migration scheduler - API client
 VM Migration Scheduler (aka: vmms) is an OpenStack project that makes it
 possible to schedule the migraiton of VMs from one cloud to another. Its API
 allows one to add, list, delete VMs in the Mistral workflow scheduler, while
 the worker is able to schedule VM migrations during a time window.
 .
 This package provides the API client.

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://salsa.debian.org/openstack-team/clients/python-vmmsclient refs/tags/(\d[brc\d\.]+)

## python-vmmsclient 0.0.2~bpo13+1

=== debian/changelog ===
python-vmmsclient (0.0.2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 10 Nov 2025 13:54:45 +0000

python-vmmsclient (0.0.2) unstable; urgency=medium

  * Lower pbr version in requirements.txt.
  * Add OpenInfra Foundation in d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Oct 2025 11:20:08 +0100

## python-vmmsclient 0.0.3~bpo12+1

=== debian/changelog ===
python-vmmsclient (0.0.3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Mon, 24 Nov 2025 22:32:50 +0000

python-vmmsclient (0.0.3) unstable; urgency=medium

  * Fix copyright holder on all files.
  * rm debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Nov 2025 14:06:17 +0100

## python-vmmsclient 0.0.3~bpo13+1

=== debian/changelog ===
python-vmmsclient (0.0.3~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 11 Nov 2025 13:08:46 +0000

## python-vmmsclient 0.0.3

=== requirements.txt ===
pbr>=2.0.0
osc-lib>=2.2.1
python-mistralclient>=4.1.1
python-openstackclient>=5.0.0
keystoneauth1>=4.5.0
requests>=2.25.0

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'vmmsclient.tests.*'
endif

override_dh_auto_test:
	echo "Do nothing..."
